[android-components](../../index.md) / [mozilla.components.service.glean.private](../index.md) / [PingType](./index.md)

# PingType

`data class PingType` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/service/glean/src/main/java/mozilla/components/service/glean/private/PingType.kt#L17)

This implements the developer facing API for custom pings.

Instances of this class type are automatically generated by the parsers at build time.

The Ping API only exposes the [send](send.md) method, which schedules a ping for sending.

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `PingType(name: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`, includeClientId: `[`Boolean`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html)`)`<br>This implements the developer facing API for custom pings. |

### Properties

| Name | Summary |
|---|---|
| [includeClientId](include-client-id.md) | `val includeClientId: `[`Boolean`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html) |
| [name](name.md) | `val name: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) |

### Functions

| Name | Summary |
|---|---|
| [send](send.md) | `fun send(): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html)<br>Send the ping. |
